# classes/phing/RuntimeConfigurable.php

Wrapper class that holds the attributes of a Task (or elements nested below that level) and takes care of configuring that element at runtime.

SMART-UP INLINE DOCS

author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing
version
  $Revision: 829 $

## \RuntimeConfigurable
jump to top

Wrapper class that holds the attributes of a Task (or elements nested below that level) and takes care of configuring that element at runtime.

SMART-UP INLINE DOCS

author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing
version
  $Revision: 829 $

### Properties

`$attributes= 'array'`
Default value `array` Details

Type

`$characters= ''`
Details

Type

`$children= 'array'`
Default value `array` Details

Type

`$elementTag= 'null'`
Default value `null` Details

Type

`$wrappedObject= 'null'`
Default value `null` Details

Type

### Methods

`__construct( \proxy $proxy, $elementTag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$proxy | \proxy | The element to wrap.
$elementTag |  |

`addChild( $child ) :`
Adds child elements to the wrapped element.
Parameters

Name | Type | Description
--- | --- | ---
$child |  |

`addText( $data ) :`
Add characters from #PCDATA areas to the wrapped element.
Parameters

Name | Type | Description
--- | --- | ---
$data |  |

`getAttributes( ) :`
Returns the AttributeList of the wrapped element.
`getChild( $index ) :`
Returns the child with index
Parameters

Name | Type | Description
--- | --- | ---
$index |  |

`getElementTag( ) :`
`maybeConfigure( $project ) :`
Configure the wrapped element and all children.
Parameters

Name | Type | Description
--- | --- | ---
$project |  |

`setAttributes( $attributes ) :`
Set's the attributes for the wrapped element.
Parameters

Name | Type | Description
--- | --- | ---
$attributes |  |

`setProxy( $proxy ) :`
Parameters

Name | Type | Description
--- | --- | ---
$proxy |  |

Documentation was generated by DocBlox 0.13.1.